> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Create Transactions

POST https://api.fortresstech.io/v1/transactions
Content-Type: application/json

Available by RequestCreate one or more transactions for households or applications. Transactions can include charges, payments, credits, and other financial records. At least one of householdId or applicationId must be provided for each transaction.This endpoint is part of our evolving API ecosystem.
To explore availability for your integration, please contact our team.

Reference: https://developer.fortresstech.io/api-reference/transactions/create-transactions

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a list of schemas-TransactionCreate.

- `list of schemas-TransactionCreate`

## Response

### 200

The created transaction(s)

- `list of Transaction`

## Types

### schemas-TransactionCreate

- `idempotencyId` (string, optional)
- `code` (string, optional) — The code for the transaction
- `date` (datetime, optional) — The date of the transaction
- `amount` (double, optional) — The amount of the transaction
- `documentNumber` (string, optional) — The document number for the transaction
- `notes` (string, optional) — Notes about the transaction
- `order` (integer, optional) — The order of the transaction in the list
- `transactionId` (string, optional) — Optional transaction ID
- `customerId` (string, optional) — The customerId field is required when the transaction is associated with a household member other than the head of household.
- `householdId` (string, optional) — At least one of householdId or applicationId must be provided with each transaction.
- `applicationId` (string, optional) — At least one of householdId or applicationId must be provided with each transaction.

### Transaction

- `id` (string, optional)
- `readableId` (string, optional) — The readable ID for the transaction
- `customerId` (string, optional) — The ID of the customer associated with the transaction
- `householdId` (string, optional) — The ID of the household associated with the transaction
- `propertyId` (string, optional) — The ID of the property associated with the transaction
- `organizationId` (string, optional) — The ID of the organization associated with the transaction
- `depositId` (string, optional) — The ID of the deposit associated with the transaction
- `date` (datetime, optional)
- `amount` (double, optional)
- `note` (string, optional) — Notes about the transaction
- `code` (string, optional) — The code for the transaction
- `subjournal` (enum, optional) — The subjournal for the transaction
  - Allowed values: `RESIDENT`, `SUBSIDY`
- `ledger` (enum, optional) — The ledger for the transaction
  - Allowed values: `RESIDENT`, `SECURITY`
- `fiscalPeriod` (string, optional) — The fiscal period for the transaction
- `isPaid` (boolean, optional) — Whether the transaction is paid
- `type` (enum, optional) — The type of the transaction
  - Allowed values: `CREDIT`, `CHARGE`, `PAYMENT`, `RECONCILIATION`, `OTHER`, `SECURITY_CHARGE`, `SECURITY_PAYMENT`, `MISC_CHARGE`, `SECURITY_CREDIT`
- `reversedTransactionId` (string, optional) — The ID of the reversed transaction
- `runningBalanceAmount` (double, optional) — The running balance amount after the transaction
- `paymentDate` (datetime, optional) — The date the charge was paid
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `household` (households_components-schemas-Base, optional)

### households_components-schemas-Base

- `status` (enum, optional)
  - Allowed values: `APPLICANT`, `RESIDENT`, `PRIOR`
- `isUnderEviction` (boolean, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `currentUnitId` (string, optional) — Current unit the household is associated with. Set only when the lease is active
- `currentLeaseId` (string, optional) — Current active lease for the household.
- `applicationId` (string, optional)
- `organizationId` (string, optional)
- `propertyId` (string, optional)
- `currentCertificationId` (string, optional)
- `prospectId` (string, optional)
- `primaryCustomerId` (string, optional)
- `totalActiveRentAmount` (double, optional) — Sum of all active RENT monthly lease transactions for the household
- `totalActiveSubsidyAmount` (double, optional) — Sum of all active SUBRENT monthly lease transactions for the household
- `totalActiveFeesAmount` (double, optional) — Sum of all active non-optional fee (charge) monthly lease transactions for the household
- `unitId` (string, optional, deprecated) — Deprecated, use currentUnitId instead

## Examples

**Request**

```json
[
  {}
]
```

**Response**

```json
[
  {
    "id": "string",
    "readableId": "string",
    "customerId": "string",
    "householdId": "string",
    "propertyId": "string",
    "organizationId": "string",
    "depositId": "string",
    "date": "2024-01-15T09:30:00Z",
    "amount": 1.1,
    "note": "string",
    "code": "string",
    "subjournal": "RESIDENT",
    "ledger": "RESIDENT",
    "fiscalPeriod": "string",
    "isPaid": true,
    "type": "CREDIT",
    "reversedTransactionId": "string",
    "runningBalanceAmount": 1.1,
    "paymentDate": "2024-01-15T09:30:00Z",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "household": {
      "status": "APPLICANT",
      "isUnderEviction": true,
      "id": "string",
      "readableId": "string",
      "idempotencyId": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "deletedAt": "2024-01-15T09:30:00Z",
      "currentUnitId": "string",
      "currentLeaseId": "string",
      "applicationId": "string",
      "organizationId": "string",
      "propertyId": "string",
      "currentCertificationId": "string",
      "prospectId": "string",
      "primaryCustomerId": "string",
      "totalActiveRentAmount": 1.1,
      "totalActiveSubsidyAmount": 1.1,
      "totalActiveFeesAmount": 1.1,
      "unitId": "string"
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/transactions"

payload = [{}]
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/transactions';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '[{}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/transactions"

	payload := strings.NewReader("[\n  {}\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {}\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fortresstech.io/v1/transactions")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {}\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fortresstech.io/v1/transactions', [
  'body' => '[
  {}
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/transactions");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {}\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [[]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```